''' (c) 2008 by the GunGame Coding Team

    Title: gg_join_message
    Version: 1.0.0
    Description: Custom addon.
    '''

# ==============================================================================
#   IMPORTS
# ==============================================================================
# EventScripts imports
import es

# GunGame imports
import gungamelib

# ==============================================================================
#   ADDON REGISTRATION
# ==============================================================================
# Register this addon with EventScripts
info = es.AddonInfo()
info.name     = 'A join message containing stats information for GunGame 5'
info.version  = '1.0.0'
info.url      = 'http://forums.gungame5.com/viewtopic.php?f=17&t=245'
info.basename = 'gungame/custom_addons/gg_join_message'
info.author   = 'Sc0pE'

es.ServerVar('gg_join_message_ver', info.version).makepublic()

# ==============================================================================
#   GLOBALS
# ==============================================================================
gg_join_message_once = gungamelib.getVariableValue('gg_join_message_once')
already_sent = []

# ==============================================================================
#   GAME EVENTS
# ==============================================================================
def load():
    # Register this addon with GunGame
    gg_join_message = gungamelib.registerAddon('gg_join_message')
    gg_join_message.setDisplayName('GG Join Message')
    gg_join_message.loadTranslationFile()

def unload():
    # Unregister this addon with GunGame
    gungamelib.unregisterAddon('gg_join_message')

def player_activate(event_var):
    steamid = event_var['es_steamid']
    if playerCheck(event_var['userid'], steamid):
        wins = gungamelib.getWins(steamid)
        rank = gungamelib.getWinnerRank(steamid)
        if not wins:
            gungamelib.msg('gg_join_message', '#all', 'PlayerJoin_noRank', {'name':event_var['es_username'], 'wins':wins})
            return
        gungamelib.msg('gg_join_message', '#all', 'PlayerJoin', {'name':event_var['es_username'], 'wins':wins, 'rank':rank})

def player_disconnect(event_var):
    userid = int(event_var['userid'])
    if userid in already_sent:
        already_sent.remove(userid)

# ==============================================================================
#   HELPER FUNCTIONS
# ==============================================================================
def playerCheck(userid, steamid):
    userid = int(userid)
    if not gg_join_message_once:
        return 1
    if userid in already_sent:
        return 0
    if steamid == 'BOT':
        return 0
    already_sent.append(userid)
    return 1